Test::Int::BoolOpTypes Class Reference

Iterator for Boolean operation types. More...

`#include <int.hh>`

## Public Member Functions

| BoolOpTypes (void)
| Initialize iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next operation type.
Gecode::BoolOpType | bot (void) const
| Return current operation type.

## Detailed Description

Iterator for Boolean operation types.

Definition at line 388 of file int.hh.

## Constructor & Destructor Documentation

## BoolOpTypes()

Test::Int::BoolOpTypes::BoolOpTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 356 of file int.hpp.

## Member Function Documentation

## operator()()

bool Test::Int::BoolOpTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 359 of file int.hpp.

## operator++()

void Test::Int::BoolOpTypes::operator++ | ( | void |  | ) |

inline

Increment to next operation type.

Definition at line 363 of file int.hpp.

## bot()

Gecode::BoolOpType Test::Int::BoolOpTypes::bot | ( | void |  | ) | const

inline

Return current operation type.

Definition at line 367 of file int.hpp.

The documentation for this class was generated from the following files:

- test/int.hh
- test/int.cpp
- test/int.hpp